Не удается войти в GNOME после обновления (raring - > saucy)

Я только что обновил свой ubuntu (raring до saucy) и теперь не могу войти в GNOME. В отличие от виртуальных консолей (например, Ctrl kbd> - Alt kbd> - F1 kbd>). Я настроил его для входа в систему автоматически. Но он просит пароль сейчас. Я набираю пароль, нажимаю Enter kbd>, экран мигает и вот я снова на экране входа в систему. Затем я посмотрел в /var/log/Xorg.0.log :

[    33.956] Initializing built-in extension DRI2
[    33.956] (II) LoadModule: "glx"
[    33.956] (II) Loading /usr/lib/xorg/modules/extensions/libglx.so
[    33.956] (II) Module glx: vendor="X.Org Foundation"
[    33.956]    compiled for 1.14.3, module version = 1.0.0
[    33.956]    ABI class: X.Org Server Extension, version 7.0
[    33.956] (==) AIGLX enabled
[    33.956] Loading extension GLX
[    33.956] (==) Matched fglrx as autoconfigured driver 0
[    33.956] (==) Matched ati as autoconfigured driver 1
[    33.956] (==) Matched fglrx as autoconfigured driver 2
[    33.956] (==) Matched ati as autoconfigured driver 3
[    33.956] (==) Matched vesa as autoconfigured driver 4
[    33.956] (==) Matched modesetting as autoconfigured driver 5
[    33.956] (==) Matched fbdev as autoconfigured driver 6
[    33.956] (==) Assigned the driver to the xf86ConfigLayout
[    33.956] (II) LoadModule: "fglrx"
[    33.957] (WW) Warning, couldn't open module fglrx
[    33.957] (II) UnloadModule: "fglrx"
[    33.957] (II) Unloading fglrx
[    33.957] (EE) Failed to load module "fglrx" (module does not exist, 0)
[    33.957] (II) LoadModule: "ati"
[    33.957] (WW) Warning, couldn't open module ati
[    33.957] (II) UnloadModule: "ati"
[    33.957] (II) Unloading ati
[    33.957] (EE) Failed to load module "ati" (module does not exist, 0)
[    33.957] (II) LoadModule: "vesa"
[    33.957] (II) Loading /usr/lib/xorg/modules/drivers/vesa_drv.so
[    33.957] (II) Module vesa: vendor="X.Org Foundation"
[    33.957]    compiled for 1.14.1, module version = 2.3.2
[    33.957]    Module class: X.Org Video Driver
[    33.957]    ABI class: X.Org Video Driver, version 14.1
[    33.957] (II) LoadModule: "modesetting"
[    33.957] (II) Loading /usr/lib/xorg/modules/drivers/modesetting_drv.so
[    33.957] (II) Module modesetting: vendor="X.Org Foundation"
[    33.957]    compiled for 1.14.1, module version = 0.8.0
[    33.957]    Module class: X.Org Video Driver
[    33.957]    ABI class: X.Org Video Driver, version 14.1
[    33.957] (II) LoadModule: "fbdev"
[    33.957] (II) Loading /usr/lib/xorg/modules/drivers/fbdev_drv.so
[    33.958] (II) Module fbdev: vendor="X.Org Foundation"
[    33.958]    compiled for 1.14.1, module version = 0.4.3
[    33.958]    Module class: X.Org Video Driver
[    33.958]    ABI class: X.Org Video Driver, version 14.1
[    33.958] (==) Matched fglrx as autoconfigured driver 0
[    33.958] (==) Matched ati as autoconfigured driver 1
[    33.958] (==) Matched fglrx as autoconfigured driver 2
[    33.958] (==) Matched ati as autoconfigured driver 3
[    33.958] (==) Matched vesa as autoconfigured driver 4
[    33.958] (==) Matched modesetting as autoconfigured driver 5
[    33.958] (==) Matched fbdev as autoconfigured driver 6
[    33.958] (==) Assigned the driver to the xf86ConfigLayout
[    33.958] (II) LoadModule: "fglrx"
[    33.958] (WW) Warning, couldn't open module fglrx
[    33.958] (II) UnloadModule: "fglrx"
[    33.958] (II) Unloading fglrx
[    33.958] (EE) Failed to load module "fglrx" (module does not exist, 0)
[    33.958] (II) LoadModule: "ati"
[    33.958] (WW) Warning, couldn't open module ati
[    33.958] (II) UnloadModule: "ati"
[    33.958] (II) Unloading ati
[    33.958] (EE) Failed to load module "ati" (module does not exist, 0)
[    33.958] (II) LoadModule: "vesa"
[    33.958] (II) Loading /usr/lib/xorg/modules/drivers/vesa_drv.so
[    33.958] (II) Module vesa: vendor="X.Org Foundation"
[    33.958]    compiled for 1.14.1, module version = 2.3.2
[    33.958]    Module class: X.Org Video Driver
[    33.958]    ABI class: X.Org Video Driver, version 14.1
[    33.958] (II) UnloadModule: "vesa"
[    33.958] (II) Unloading vesa
[    33.958] (II) Failed to load module "vesa" (already loaded, 0)
[    33.958] (II) LoadModule: "modesetting"
[    33.959] (II) Loading /usr/lib/xorg/modules/drivers/modesetting_drv.so
[    33.959] (II) Module modesetting: vendor="X.Org Foundation"
[    33.959]    compiled for 1.14.1, module version = 0.8.0
[    33.959]    Module class: X.Org Video Driver
[    33.959]    ABI class: X.Org Video Driver, version 14.1
[    33.959] (II) UnloadModule: "modesetting"
[    33.959] (II) Unloading modesetting
[    33.959] (II) Failed to load module "modesetting" (already loaded, 0)
[    33.959] (II) LoadModule: "fbdev"
[    33.959] (II) Loading /usr/lib/xorg/modules/drivers/fbdev_drv.so
[    33.959] (II) Module fbdev: vendor="X.Org Foundation"
[    33.959]    compiled for 1.14.1, module version = 0.4.3
[    33.959]    Module class: X.Org Video Driver
[    33.959]    ABI class: X.Org Video Driver, version 14.1
[    33.959] (II) UnloadModule: "fbdev"
[    33.959] (II) Unloading fbdev
[    33.959] (II) Failed to load module "fbdev" (already loaded, 0)
[    33.959] (II) VESA: driver for VESA chipsets: vesa
[    33.959] (II) modesetting: Driver for Modesetting Kernel Drivers: kms
[    33.959] (II) FBDEV: driver for framebuffer: fbdev
[    33.959] (++) using VT number 7

Если я установлю fglrx, он читает :

[ 111]

Я сделал больше установки / удаления пакетов, чем это. Был момент, когда он сказал:

(EE) Failed to load /usr/lib64/xorg/modules/libglamoregl.so: /usr/lib64/xorg/modules/libglamoregl.so: undefined symbol: _glapi_tls_Context

Также есть init: not found в ~/.xsession-errors:

/usr/sbin/lightdm-session: 5: exec: init: not found

На самом деле, у меня нет идей. Как насчет вас? :)

UPD У меня такая же проблема на другом компьютере.

2
задан 16.04.2020, 19:35

3 ответа

Пожалуйста, опубликуйте все ваши файлы .xsession-errors. Может быть, это ошибка, упомянутая здесь: https://bugs.launchpad.net/ubuntu/+source/lightdm/+bug/1228079

Вы используете pbis-open, чтобы присоединиться к ПК в домен?

0
ответ дан 16.04.2020, 19:36
  • 1
    Здесь это. Существует два файла (+ старый), и они идентичны. Однако, насколько я могу сказать, когда я изучил его, это было как это . – tdurnford 16.04.2020, 19:36
  • 2
    О, I' ve не получил контроллера домена в моей сети. – Greg Forster 16.04.2020, 19:36

Кто-то изуродовал PATH.

Отредактируйте .profile и добавьте в конец:

PATH="/sbin:/usr/sbin:$PATH"

Затем перезапустите lightdm:

sudo service lightdm restart

Это может быть ошибка, указанная darkhole

0
ответ дан 16.04.2020, 19:36
  • 1
    Вы сохранили мой день, проблема была с PATH. Эта ошибка кажется более релевантной. I' d добавляют, хотя это ПУТЬ, который будет ожидаться, находится в /etc/environment. – Joe Strout 16.04.2020, 19:37
  • 2
    Фантастический, это сохранило мою задницу! Я играл с/etc/environment во время обновления, поскольку я добавил материал там ранее, и это вызывало другие проблемы. Я отключил целое PATH= строка и эти sbin, материал закончился. Не уверенный, если OP сделал точно то же. – Joe Strout 16.04.2020, 19:37
  • 3
    Я был бы upvote это 10,000 раз, если я мог. Это решило проблемы, которые я имел в течение многих дней теперь! – Jack O. 16.04.2020, 19:37

Думаю, я исправил это, удалив .dmrc.

На самом деле я удалил много файлов с точками из своего домашнего каталога, предположив, что произошла неправильная конфигурация. .dmrc был одним из последних, что я удалил.

0
ответ дан 16.04.2020, 19:37

Теги

Похожие вопросы